clc
clear all
close all


datos=xlsread('wind_data.xlsx');
wind=datos(:,2)/max(abs(datos(:,2)));

time=1:10000;
figure
plot(wind);


error=(wind<=0.01);
wind_ok=wind(error==0);
figure
hist(wind,100);
figure
hist(wind_ok,100,'r');
%%
[pdf,centers]=hist(wind_ok,100);

[f,x] = ecdf(wind_ok);

[par]=wblfit(wind_ok(1000:2000));
lambda=par(1);
beta=par(2);
y = wblpdf(linspace(0,max(centers),100),lambda,beta);

figure
ecdfhist(f,x,centers)
hold on
plot(linspace(0,max(centers),100),y,'r--')

